Bug 509718 - Both setroubleshoot's gnome popup and KDE's notification pop up are shown when encountering a SELinux denial
Both setroubleshoot's gnome popup and KDE's notification pop up are shown whe...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-05 09:52 EDT by Kvikende
Modified: 2010-05-16 17:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-16 17:35:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kvikende 2009-07-05 09:52:36 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; nn-NO; rv:1.9.1) Gecko/20090630 Fedora/3.5-1.fc11 Firefox/3.5

When I am running KDE both the setroubleshoot's gnome notification bubble and the KDE notification bubble pops up when I'm encountering a SELinux denial pop up notification.

Reproducible: Always

Steps to Reproduce:
1. Run KDE
2. Have SELinux deny something
3. Watch the bubbles
Actual Results:  
Both GNOME and KDE's notification pops up

Expected Results:  
Only KDE's when running KDE and only GNOME's when running GNOME.
Comment 1 Daniel Walsh 2009-07-05 21:55:05 EDT
I really have no idea what you are talking about.  sealert pops up an alert when it receives an AVC.  I do not know what kde is doing.
Comment 2 Kvikende 2009-07-06 10:16:05 EDT
The alert is shown with both KDE's notifying infrastructure and with gnome's.

Instead of just popping up the notify through knotify, it also shows the pop up bubble it does under GNOME.

Because of that, I receive two notifications on top of eachother and one look out of place (GNOME's).

I should just receive one, and because I run KDE I would expect only to see knotify's notification.

I tried to explain it clearly but I have som troubles formulating so if you still have troubles please let me know and I'll try again.
Comment 4 Daniel Walsh 2010-01-19 15:27:30 EST
Is this working any better in Fedora 12?
Comment 5 Orcan Ogetbil 2010-01-20 09:05:48 EST
Can someone give at least a clue why this bug is assigned to serafettin-cartoon-fonts? It doesn't sound like it is serafettin-cartoon-fonts related.
Comment 6 Daniel Walsh 2010-01-21 16:36:15 EST
Oops
Comment 7 Bug Zapper 2010-04-27 11:29:50 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Kvikende 2010-05-16 17:35:22 EDT
I'm closing this myself. I have quitted using KDE due to its crashy nature, and I don't know if it's still present.

Note You need to log in before you can comment on or make changes to this bug.